petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCreateSubMatrixFree

Creates a reduced matrix by masking a full matrix.

### Synopsis

    #include "petsctao.h"
    #include "submatfree.h"
    PetscErrorCode MatCreateSubMatrixFree(Mat mat,IS Rows, IS Cols, Mat *J)

Collective on matrix

### Input Parameters

| mat | - matrix of arbitrary type
| Rows | - the rows that will be in the submatrix
| Cols | - the columns that will be in the submatrix

### Output Parameters

J -New matrix

### Notes

The user provides the input data and is responsible for destroying this data after matrix J has been destroyed.

### See Also

MatCreate()

Level:developer
Location:src/tao/matrix/submatfree.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages